[![pipeline status](https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/badges/master/pipeline.svg)](https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/commits/master)

# autonomic-cooperative.gitlab.io

A [Jekyll] based site for the Autonomic Cooperative.

The template is based on the [spectral-jekyll-theme].

We use [autonomic.zone] for production and [autonomic-cooperative.gitlab.io] for staging.

[Jekyll]: https://jekyllrb.com/
[spectral-jekyll-theme]: https://github.com/andrewbanchich/spectral-jekyll-theme
[autonomic.zone]: https://autonomic.zone/
[autonomic-cooperative.gitlab.io]: http://autonomic-cooperative.gitlab.io/

# Contribute

Please see [CONTRIBUTING.md] for the juicy details.

[CONTRIBUTING.md]: https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/blob/master/CONTRIBUTING.md

# Make A New Release

Please add a new [change log] entry. This helps us track released changes easily.

[change log]: https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/blob/master/CHANGELOG.md

Then, [tag a new commit] and send it upstream with:

[tag a new commit]: https://git-scm.com/book/en/v2/Git-Basics-Tagging
[semantic versioning]: http://semver.org/

```bash
$ COMMIT=$(git rev-parse HEAD)
$ TAG=6.6.6  # enter your new tag
$ git tag -a $TAG $COMMIT
$ git push upstream master --tags
```

You can also use the [Gitlab tags UI] for this.

[Gitlab tags UI]: https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/tags

Our [deploy] CI stage will push the new site to [the production branch].

[deploy]: https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/blob/d16aec42bd2ddd7449f55d9f06b03499cc660b22/.gitlab-ci.yml#L17
[the production branch]: https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/tree/production

Watch the [CI/CD pipeline] to see that it builds successfully.

[CI/CD pipeline]: https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/pipelines

Then head over to [fullyautomatedluxuryinfrastructure] and run:

[fullyautomatedluxuryinfrastructure]: https://gitlab.com/autonomic-cooperative/fullyautomatedluxuryinfrastructure

``` bash
$ ansible-playbook orgs/autonomic/gitlabpages.yml
```
